package xiaoqu.home.open.model.db2;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 计划作业
 * </p>
 *
 * @author mk
 * @since 2022-05-04
 */
@TableName("plan_operation")
@ApiModel(value="PlanOperation对象", description="计划作业")
public class PlanOperation extends Model<PlanOperation> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建人")
    @TableField("create_name")
    private String createName;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改人")
    @TableField("modify_name")
    private String modifyName;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "任务场景id")
    @TableField("plan_scenes_id")
    private Long planScenesId;

    @ApiModelProperty(value = "场景级别1:1级;2:2级.....")
    @TableField("scenes_level")
    private Integer scenesLevel;

    @ApiModelProperty(value = "任务对象id")
    @TableField("plan_object_id")
    private Long planObjectId;

    @ApiModelProperty(value = "作业id")
    @TableField("operation_id")
    private Long operationId;

    @ApiModelProperty(value = "作业名称")
    @TableField("operation_name")
    private String operationName;

    @ApiModelProperty(value = "作业标准")
    @TableField("operation_standard")
    private String operationStandard;

    @ApiModelProperty(value = "作业工具id")
    @TableField("operation_tool_ids")
    private String operationToolIds;

    @ApiModelProperty(value = "作业工具")
    @TableField("operation_tool_names")
    private String operationToolNames;

    @ApiModelProperty(value = "作业方法")
    @TableField("operation_method")
    private String operationMethod;

    @ApiModelProperty(value = "计划id")
    @TableField("plan_id")
    private Long planId;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public String getModifyName() {
        return modifyName;
    }

    public void setModifyName(String modifyName) {
        this.modifyName = modifyName;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getPlanScenesId() {
        return planScenesId;
    }

    public void setPlanScenesId(Long planScenesId) {
        this.planScenesId = planScenesId;
    }

    public Integer getScenesLevel() {
        return scenesLevel;
    }

    public void setScenesLevel(Integer scenesLevel) {
        this.scenesLevel = scenesLevel;
    }

    public Long getPlanObjectId() {
        return planObjectId;
    }

    public void setPlanObjectId(Long planObjectId) {
        this.planObjectId = planObjectId;
    }

    public Long getOperationId() {
        return operationId;
    }

    public void setOperationId(Long operationId) {
        this.operationId = operationId;
    }

    public String getOperationName() {
        return operationName;
    }

    public void setOperationName(String operationName) {
        this.operationName = operationName;
    }

    public String getOperationStandard() {
        return operationStandard;
    }

    public void setOperationStandard(String operationStandard) {
        this.operationStandard = operationStandard;
    }

    public String getOperationToolIds() {
        return operationToolIds;
    }

    public void setOperationToolIds(String operationToolIds) {
        this.operationToolIds = operationToolIds;
    }

    public String getOperationToolNames() {
        return operationToolNames;
    }

    public void setOperationToolNames(String operationToolNames) {
        this.operationToolNames = operationToolNames;
    }

    public String getOperationMethod() {
        return operationMethod;
    }

    public void setOperationMethod(String operationMethod) {
        this.operationMethod = operationMethod;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "PlanOperation{" +
        "id=" + id +
        ", createId=" + createId +
        ", createName=" + createName +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyName=" + modifyName +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", planScenesId=" + planScenesId +
        ", scenesLevel=" + scenesLevel +
        ", planObjectId=" + planObjectId +
        ", operationId=" + operationId +
        ", operationName=" + operationName +
        ", operationStandard=" + operationStandard +
        ", operationToolIds=" + operationToolIds +
        ", operationToolNames=" + operationToolNames +
        ", operationMethod=" + operationMethod +
        ", planId=" + planId +
        "}";
    }
}
